Subject: bug#47234: 28.0.50; frame-inner-height fails without window system on tab-bar-height

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 18 Mar 2021 22:24:18 +0000

Eli Zaretskii <[email-masked]> writes:

> After thinking some more about this, I think we should leave the
> frame.el part of 6c5ddf0e0b alone, but augment it with the fboundp
> test, such that on TTY frames the tab bar would be included in the
> frame's inner height, like the menu bar is.  This is also consistent
> with what happens on TTY frames in a build with X: tab-bar-height
> returns zero.
>
> Basil, can you please install such a change on the emacs-27 branch?  I
> will then make another RC.

Done:

Fix frame-inner-height in non-GUI builds
bd991e3c9b 2021-03-18 22:13:05 +0000
https://git.sv.gnu.org/cgit/emacs.git/commit/?id=bd991e3c9bc9c26e641036f52adf82e052d4319c

Is there anything left to address here on the master branch, or can this
report be closed?

The other --without-x warnings in frame.el are benign, and I'll try to
look into the rest of them soon, but none of them sound too alarming at
first glance (famous last words).

Thanks,

-- 
Basil